import { Inject } from './inject.decorator';


describe("Decorator: Inject", () => {

  describe("parameter injection", () => {

    it("adds given string to the 'inject' property of the annotated class", () => {
      expect(ValidService.$inject).toContain('$scope');
    });
  });
});


class ValidService {
  constructor(@Inject('$scope') private $scope: any) {}
}
